POST api/Order/PostOrder
Post Complete Order including payment and receipt info
Request Information
URI Parameters
None.
Body Parameters
Order Model, should include Orderlines, Payment detail and receipt info
Order| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| CreationDate | date |
None. |
|
| OrderNoOfDay | string |
Max length: 15 |
|
| TableId | integer |
None. |
|
| TableName | string |
Max length: 20 |
|
| CustomerId | globally unique identifier |
None. |
|
| Status | OrderStatus |
None. |
|
| Type | OrderType |
None. |
|
| PaymentStatus | PaymentStatus |
None. |
|
| Comments | string |
Max length: 500 |
|
| OrderComments | string |
Max length: 500 |
|
| InvoiceNumber | integer |
None. |
|
| InvoiceDate | date |
None. |
|
| InvoiceGenerated | boolean |
None. |
|
| UserId | string |
Max length: 36 |
|
| CheckOutUserId | string |
Max length: 36 |
|
| Bong | integer |
None. |
|
| TrainingMode | boolean |
None. |
|
| TerminalId | globally unique identifier |
None. |
|
| OutletId | globally unique identifier |
None. |
|
| SourceTerminalId | string |
Max length: 36 |
|
| CustomerInvoiceId | globally unique identifier |
None. |
|
| RoundedAmount | decimal number |
None. |
|
| OrderTotal | decimal number |
None. |
|
| IsGiftCardSale | boolean |
None. |
|
| OpenSynced | boolean |
None. |
|
| Synced | boolean |
None. |
|
| ServeFlowId | byte |
None. |
|
| ServeFlowStatus | byte |
None. |
|
| CategoryId | byte |
None. |
|
| DeliveryDate | date |
None. |
|
| EnableRUT | boolean |
None. |
|
| CustomerReferenceId | globally unique identifier |
None. |
|
| ExternalStatus | OrderExternalStatus |
None. |
|
| PerformaCount | byte |
None. |
|
| DeleteReason | string |
Max length: 50 |
|
| DiscountReason | string |
Max length: 50 |
|
| WaitForCourse | boolean |
None. |
|
| TableRecreated | boolean |
None. |
|
| ReturnRecreated | boolean |
None. |
|
| Updated | date |
None. |
|
| OrderState | string |
Max length: 20 |
|
| ServiceTypeCode | string |
Required Max length: 50 |
|
| PuckNumber | string |
Max length: 10 |
|
| GuestCount | integer |
None. |
|
| ChannelName | string |
Max length: 50 |
|
| PreviousServiceTypeCode | string |
Max length: 50 |
|
| OrderLines | Collection of OrderLine |
None. |
|
| Receipts | Collection of Receipt |
None. |
|
| Payments | Collection of Payment |
None. |
|
| RUTDiscount | decimal number |
None. |
|
| CustomerName | string |
None. |
|
| CustomerPhone | string |
None. |
|
| PrimaryContact | string |
None. |
|
| PrimaryPhone | string |
None. |
|
| PrimaryEmail | string |
None. |
|
| CustomerNo | string |
None. |
|
| string |
None. |
||
| CustomerAddress | string |
None. |
|
| CreatedBy | string |
None. |
|
| IsSelected | boolean |
None. |
|
| EmailSent | boolean |
None. |
|
| SentDate | date |
None. |
|
| DueDate | date |
None. |
|
| BalanceAmount | decimal number |
None. |
|
| SelectedTable | FoodTable |
None. |
|
| Receipt | Receipt |
None. |
|
| Customer | Customer |
None. |
|
| ShortComments | string |
None. |
|
| CartNumber | integer |
None. |
|
| SelecttedImagePath | string |
None. |
|
| ServeStatusColor | string |
None. |
|
| SumAmtString | string |
None. |
|
| OrderDirection | integer |
None. |
|
| BongNumber | string |
None. |
|
| BongComments | string |
None. |
|
| OutletCode | string |
None. |
|
| DefaultOrderType | string |
None. |
|
| KDSOrderType | integer |
None. |
|
| OrderStatusFromType | OrderStatus |
None. |
|
| PaidStatus | string |
None. |
|
| OrderNumber | string |
None. |
|
| ReceiptNumber | string |
None. |
|
| OrderType | OrderType |
None. |
|
| GrossAmount | decimal number |
None. |
|
| ComissionAmount | decimal number |
None. |
|
| NetAmount | decimal number |
None. |
|
| VatAmount | decimal number |
None. |
|
| PartialPaidAmount | decimal number |
None. |
|
| SelectEnable | boolean |
None. |
|
| CheckOutVisibility | boolean |
None. |
|
| RetryVisibility | boolean |
None. |
|
| ButtonVisibility | boolean |
None. |
|
| ReturnButtonVisibility | boolean |
None. |
|
| SendTicketToCustomer | boolean |
None. |
|
| IsReadyToPickup | boolean |
None. |
|
| IsWaitingToPickup | boolean |
None. |
|
| ShowReminder | boolean |
None. |
|
| ShowSMSWarning | boolean |
None. |
|
| ButtonRestoreVisibility | boolean |
None. |
|
| ButtonChangeCustomerVisibility | boolean |
None. |
|
| InvNumber | string |
None. |
|
| GiftCard | GiftCard |
None. |
|
| GiftCards | Collection of GiftCard |
None. |
|
| PaymentType | string |
None. |
|
| PaymentTypeId | integer |
None. |
|
| InProgress | boolean |
None. |
|
| ShowButtonOnOpenView | boolean |
None. |
|
| ShowButtonOnOpenViewInRestaurant | boolean |
None. |
|
| AskRUTCalled | boolean |
None. |
|
| OrderTickets | Collection of OrderTicket |
None. |
|
| KDSStatus | KDSStatus |
None. |
|
| KitchenStatus | OrderKitchenStatus |
None. |
|
| RecreateTableButton | boolean |
None. |
|
| TabNo | integer |
None. |
|
| ExportStatus | integer |
None. |
|
| ExportError | string |
None. |
|
| TipAmount | decimal number |
None. |
|
| ShowTabNo | boolean |
None. |
|
| TabNoHeight | integer |
None. |
|
| CurrentStatusText | string |
None. |
|
| FoodlyNumber | string |
None. |
|
| CommerceOrderFulfillment | CommerceOrderFulfillment |
None. |
|
| FoodlyOrder | FoodlyWaitingOrder |
None. |
|
| LogEnteries | Collection of Journal |
None. |
|
| DisableCheckoutTraceLog | boolean |
None. |
Request Formats
application/json, text/json
{
"Id": "2ddf9029-53fc-4c79-a7bc-c146b6c86b5b",
"CreationDate": "2026-11-03T21:04:41.4816388+01:00",
"OrderNoOfDay": "sample string 3",
"TableId": 4,
"TableName": "sample string 5",
"CustomerId": "9d19341a-d69e-46b5-baf5-461cfbe4a875",
"Status": 0,
"Type": 0,
"PaymentStatus": 0,
"Comments": "sample string 7",
"OrderComments": "sample string 8",
"InvoiceNumber": 9,
"InvoiceDate": "2026-11-03T21:04:41.4816388+01:00",
"InvoiceGenerated": true,
"UserId": "sample string 11",
"CheckOutUserId": "sample string 12",
"Bong": 13,
"TrainingMode": true,
"TerminalId": "29158e35-ba88-4330-96ae-316f589e71a9",
"OutletId": "79797888-8867-4831-a815-e3f8c7bfd41c",
"SourceTerminalId": "sample string 17",
"CustomerInvoiceId": "cbe3fed3-0a5b-499d-a201-de190e5a49d5",
"RoundedAmount": 18.0,
"OrderTotal": 19.0,
"IsGiftCardSale": true,
"OpenSynced": true,
"Synced": true,
"ServeFlowId": 64,
"ServeFlowStatus": 64,
"CategoryId": 64,
"DeliveryDate": "2026-11-03T21:04:41.4816388+01:00",
"EnableRUT": true,
"CustomerReferenceId": "7e6a5901-02a4-4ae2-a0f4-904eafdff645",
"ExternalStatus": 0,
"PerformaCount": 64,
"DeleteReason": "sample string 29",
"DiscountReason": "sample string 30",
"WaitForCourse": true,
"TableRecreated": true,
"ReturnRecreated": true,
"Updated": "2026-11-03T21:04:41.4816388+01:00",
"OrderState": "sample string 35",
"ServiceTypeCode": "sample string 36",
"PuckNumber": "sample string 37",
"GuestCount": 1,
"ChannelName": "sample string 38",
"PreviousServiceTypeCode": "sample string 39",
"OrderLines": [
{
"$id": "2",
"Id": "8f62cd75-e372-47f5-8d37-01e43e13d5d7",
"OrderId": "c636723c-53b7-4538-841e-9b382fd1d92e",
"Order": {
"$ref": "1"
},
"ItemId": "a0c8288c-8882-44ac-bda8-03a78d89b0b1",
"Product": {
"$id": "3",
"Id": "22448286-6681-4733-b890-bc17bf4a772c",
"Name": "sample string 2",
"SKU": "sample string 3",
"BarCode": "sample string 4",
"PLU": "sample string 5",
"GroupId": "179ab75e-1dce-48a1-b9fc-6ade00c20cff",
"SupplierId": "a951faff-353f-4543-88be-a566f1f6af28",
"SupplierSKU": "sample string 7",
"BrandId": 8,
"Description": "sample string 9",
"LongDescription": "sample string 10",
"BongTitle": "sample string 11",
"TextColor": "sample string 12",
"ColorCode": "sample string 13",
"IconId": 14,
"ShowItemButton": true,
"ShowGroupItem": true,
"Price": 17.0,
"PurchasePrice": 18.0,
"Tax": 19.0,
"Unit": 0,
"AskPrice": true,
"AskWeight": true,
"PriceLock": true,
"PrinterId": 23,
"PlaceHolder": true,
"AskVolume": true,
"NeedIngredient": true,
"Bong": true,
"Sticky": 28,
"Seamless": true,
"AccountingId": 30,
"ReceiptMethod": 0,
"ItemType": 0,
"DiscountAllowed": true,
"PreparationTime": 0,
"PrepMinutes": 1,
"IngredientPopup": true,
"DefaultCartQty": 33.0,
"SortOrder": 34,
"Active": true,
"Deleted": true,
"Weight": 37.0,
"Availability": true,
"ServeType": 64,
"Synced": true,
"DemandIdControl": true,
"Discontinued": true,
"AskPLU": true,
"NoticeStockLevel": 44.0,
"DefaultUnit": 0,
"ManageStock": 45,
"PriceRek": 46.0,
"CommentsRequired": true,
"TicketQty": 48,
"MinCartQty": 49.0,
"MinQtyAlert": 50.0,
"ComissionPercent": 51.0,
"PantPrice": 52.0,
"TrackAmount": true,
"SaleUnitSuffix": "sample string 54",
"QtyPerSaleUnit": 55.0,
"AutoClose": true,
"ButtonTitle": "sample string 57",
"SpecialSalesPrice": 1.0,
"SpecialSalesPriceValidFrom": "2026-11-03T21:04:41.4816388+01:00",
"SpecialSalesPriceValidTo": "2026-11-03T21:04:41.4816388+01:00",
"Draft": true,
"VatChangeBehavior": 0,
"ItemTypeUUID": "545fd9e4-e1da-4a33-9c36-9b9cbe59b467",
"ItemGroupUUID": "8f9086be-f63a-4376-bb74-56414323ca30",
"ItemAttributeSetUUID": "aae412f9-7b78-4646-abb7-2c7f99ef8cb2",
"BrandUUID": "77f2a6e0-2000-4b50-8821-ce79b2d17709",
"TicketTemplateId": 1,
"OrderOptionType": 0,
"BestBeforeDays": 1,
"Created": "2026-11-03T21:04:41.4816388+01:00",
"Updated": "2026-11-03T21:04:41.4816388+01:00",
"UpdatedBy": "2f91acec-dcbe-4a4b-9ad3-ceb3e5d6595e",
"CategoryId": 60,
"Campaign": {
"$id": "4",
"Id": "d1591c12-1c34-498c-b8b4-37a27d241924",
"CampaignType": 0,
"DiscountBy": 0,
"BuyLimit": 2,
"FreeOffer": 3,
"Price": 4.0,
"DiscountQtyIncrement": 5,
"Description": "sample string 6",
"StartDate": "2026-11-03T21:04:41.4816388+01:00",
"EndDate": "2026-11-03T21:04:41.4816388+01:00",
"Deleted": true,
"Updated": "2026-11-03T21:04:41.4816388+01:00",
"CampaignPriceDetails": [
{
"$id": "5",
"Id": "58057e87-bde5-41a0-b9cd-fe7d5b2ec0b8",
"CampaignId": "6e318aaa-8933-4fc6-933b-50100f14930e",
"Quantity": 3,
"PayPrice": 4.0,
"Deleted": true,
"Updated": "2026-11-03T21:04:41.4816388+01:00"
},
{
"$ref": "5"
}
]
},
"ItemsTags": [
{
"$id": "6",
"Id": "43fd8a9e-4086-47ad-a2bd-88eacc727843",
"TagId": "a8ef87a5-2fde-409d-941b-81fd1230d008",
"ItemId": "131c2e8e-5ec4-470d-a9ae-d597788de883",
"Deleted": true,
"Synced": true,
"Updated": "2026-11-03T21:04:41.4816388+01:00",
"TagName": "sample string 7"
},
{
"$ref": "6"
}
],
"ItemCampaign": {
"$id": "7",
"UUID": "2b59e759-0db0-48a9-8ed1-f741ec0204ba",
"CampaignTypeId": "OPEN",
"Title": "sample string 2",
"DiscountBy": 1,
"FreeOffer": 1,
"BuyLimit": 1,
"StartDate": "2026-11-03T21:04:41.4816388+01:00",
"EndDate": "2026-11-03T21:04:41.4816388+01:00",
"PriceEach": 1.0,
"PriceTotal": 1.0,
"Grouped": true,
"CurrencyCode": "sample string 6",
"IncludesVat": true,
"CreatedAt": "2026-11-03T21:04:41.4816388+01:00",
"CreatedByUUID": "sample string 9",
"UpdatedAt": "2026-11-03T21:04:41.4816388+01:00",
"UpdatedByUUID": "sample string 10",
"DeletedAt": "2026-11-03T21:04:41.4816388+01:00",
"DeletedByUUID": "sample string 11",
"Synced": true,
"ItemPrices": [
{
"$id": "8",
"UUID": "2047d638-8008-42c9-8086-2fe78b0ad3ae",
"PriceListUUID": "5a06dec9-983d-46d2-929c-6fea9d1f7f8a",
"ItemGroupUUID": "213522fc-0378-46ad-a96a-9e3bb3e12b18",
"AgreementUUID": "fa64b634-b7e3-4af1-b8cb-6773419601c0",
"CustomerGroupUUID": "99681111-20d2-44c2-b19f-58761c8deb90",
"CustomerUUID": "1a2922a8-edbd-4b44-96c4-a39429355b43",
"ProjectUUID": "020a165f-a31b-4d71-9658-4b8b5df40f5a",
"CampaignUUID": "b7539fd1-8647-4365-9947-6a6865ef7ca1",
"ItemUUID": "47fda3bd-45c7-41f5-ae26-b0741253b468",
"WildCardSKU": "sample string 4",
"MinQty": 1.0,
"MaxQty": 1.0,
"Price": 1.0,
"Percentage": 1.0,
"Type": "sample string 5",
"RegularPrice": true,
"PurchasePrice": 1.0,
"ValidFrom": "2026-11-03T21:04:41.4816388+01:00",
"ValidTo": "2026-11-03T21:04:41.4816388+01:00",
"CreatedAt": "2026-11-03T21:04:41.4816388+01:00",
"CreatedByUUID": "sample string 8",
"UpdatedAt": "2026-11-03T21:04:41.4816388+01:00",
"UpdatedByUUID": "sample string 9",
"DeletedAt": "2026-11-03T21:04:41.4816388+01:00",
"DeletedByUUID": "sample string 10",
"Synced": true,
"ItemName": "sample string 12",
"CampaignTitle": "sample string 13"
},
{
"$ref": "8"
}
]
},
"HasPricePolicy": true,
"ItemCategory": [
{
"$id": "9",
"Id": 1,
"ItemId": "cf334cd7-a825-4980-b37c-8a4f4e1fdb2e",
"CategoryId": 3,
"SortOrder": 4,
"IsPrimary": true,
"CategoryBoostId": "sample string 6"
},
{
"$ref": "9"
}
],
"ItemIdex": 62,
"PolicyGroupId": 63,
"HasCampaign": true,
"Products": [
{
"$ref": "3"
},
{
"$ref": "3"
}
],
"ColorName": "sample string 64",
"Type": 65,
"ImagePath": "sample string 66",
"ImageVisibility": true,
"ifExists": "sample string 68",
"ProductPrices": [
{
"$id": "10",
"Id": 1,
"ItemId": "97ebcd11-90d0-4886-86f2-7df0cee9dfcb",
"PurchasePrice": 3.0,
"Price": 4.0,
"OutletId": "afa8e5e0-51d7-4beb-88f8-6f24e268a7b4",
"PriceMode": 0,
"Updated": "2026-11-03T21:04:41.4816388+01:00"
},
{
"$ref": "10"
}
],
"Ingredients": [
{
"$ref": "3"
},
{
"$ref": "3"
}
],
"Variants": [
{
"$id": "11",
"Id": 1,
"ConfigurationId": "9993cfbb-234f-479a-b602-196bb9c14f16",
"ItemId": "888c3363-a267-4b05-a3d3-ec8fc4785bca",
"SortOrder": 4,
"Deleted": true,
"Updated": "2026-11-03T21:04:41.4816388+01:00"
},
{
"$ref": "11"
}
],
"ItemOption": [
{
"$id": "12",
"Id": "60a1a05e-10d2-42ea-b6ac-f75488a3e23c",
"ItemOptionGroupId": "8ab4dfec-06b7-4c37-b9a2-64543bd63efa",
"ItemId": "6f9cd0c8-bc8c-4be1-b00e-4fe5ca514c6d",
"CategoryId": 4,
"Active": true,
"Updated": "2026-11-03T21:04:41.4816388+01:00"
},
{
"$ref": "12"
}
],
"ShowOnReceipt": true,
"QuickAdd": true,
"HasIngredients": true,
"HasVariants": true,
"HasOptions": true,
"CategoryItemGroups": [
{
"$id": "13",
"Id": "f75321d2-4e5f-4461-879d-c5893d5ba117",
"CategoryId": 2,
"GroupId": "68e1c135-4ca1-456a-9fe2-a41a8603da1a",
"Qty": 4.0,
"Price": 5.0,
"Deleted": true,
"SortOrder": 7,
"Updated": "2026-11-03T21:04:41.4816388+01:00",
"Description": "sample string 9"
},
{
"$ref": "13"
}
],
"ItemPricePolicies": [
{
"$id": "14",
"Id": 1,
"ItemId": "f1a3a9bb-177e-40cc-9a24-6383a5a827c1",
"BuyLimit": 3,
"DiscountAmount": 4.0,
"Active": true,
"Deleted": true,
"Updated": "2026-11-03T21:04:41.4816388+01:00",
"PolicyId": 8
},
{
"$ref": "14"
}
],
"PriceGroupPolicies": [
{
"$id": "15",
"Id": 1,
"GroupId": 2,
"BuyLimit": 3,
"MaxLimit": 4,
"DiscountAmount": 5.0,
"TotalAmount": 6.0,
"Updated": "2026-11-03T21:04:41.4816388+01:00"
},
{
"$ref": "15"
}
],
"Photo": "QEA=",
"GroupPrice": 72.0,
"ExternalId": "sample string 73",
"IngredientQty": 74.0,
"StockQty": 75.0,
"Attributes": "sample string 76",
"LocalStockNull": true,
"StockInitialCount": 78.0,
"Selected": true,
"ShowWarhouseStock": true,
"ShowStockQty": true,
"HideStockQty": false,
"IsRUT": true,
"NotSelected": true,
"IsInActive": true,
"CreatedBy": "sample string 84",
"TerminalId": "b6195198-5571-4eed-9b35-aed52d233529",
"CategoryName": "sample string 85",
"ShowCategoryName": true,
"DiscountedPrice": 86.0,
"Qty": 87.0,
"ConfigurationId": 88,
"ItemOptionId": "9b04d05f-6697-4b25-b731-331cde2a51da",
"PriceAdd": 90.0,
"PriceRemove": 91.0,
"FreeQty": 92.0,
"MinQty": 93.0,
"MaxQty": 94.0,
"FirstItemSelected": true,
"OptionForOrderType": 0,
"PLUNumeric": 0,
"ScalePrice": 96.0,
"Files": [
{
"$id": "16",
"UUID": "44255849-87be-4311-b500-01fc167ea18f",
"ParentUUID": "89996731-99a2-4f39-ae66-b9a908a728b2",
"EntityUUID": "8ec151e7-6843-4755-9111-52952365944c",
"EntityType": "sample string 3",
"ClientFilename": "sample string 4",
"ServerFilename": "sample string 5",
"ContentType": "sample string 6",
"ContentSubType": "sample string 7",
"FileSize": 8,
"Location": "sample string 9",
"Url": "sample string 10",
"ThumbnailUrl": "sample string 11",
"MetaData": "sample string 12",
"CreatedByUUID": "sample string 13",
"CreatedAt": "2026-11-03T21:04:41.497263+01:00",
"UpdatedAt": "2026-11-03T21:04:41.497263+01:00",
"UpdatedByUUID": "sample string 15",
"DeletedByUUID": "sample string 16",
"DeletedAt": "2026-11-03T21:04:41.497263+01:00",
"Synced": true
},
{
"$ref": "16"
}
],
"HasFile": true,
"ItemTypeText": "Individual",
"ItemUnitText": "Piece",
"LanguageTexts": [
{
"$id": "17",
"Id": "0f1d684b-89ee-427c-85a3-c954391a3267",
"ItemId": "80ffce28-f481-4acc-8fb9-f76d2faa880c",
"LanguageId": 3,
"Name": "sample string 4",
"ShortDescription": "sample string 5",
"LongDescription": "sample string 6",
"Updated": "2026-11-03T21:04:41.497263+01:00"
},
{
"$ref": "17"
}
],
"ItemAdditionalIdentifications": [
{
"$id": "18",
"UUID": "8ad1f009-9756-4fb1-a6ca-9382d9cad5f5",
"ItemUUID": "c57f0243-51cb-4b53-8809-f7431a57f063",
"ItemInstanceUUID": "sample string 3",
"Identifier": "sample string 4",
"IdentifierSchemeId": "sample string 5",
"CreatedAt": "2026-11-03T21:04:41.497263+01:00",
"CreatedByUUID": "sample string 7",
"UpdatedAt": "2026-11-03T21:04:41.497263+01:00",
"updatedByUUID": "sample string 8"
},
{
"$ref": "18"
}
],
"IsManageStock": false,
"PriceExlTax": 20.23,
"IndexId": 97,
"IsSelected": true,
"HideQuantityUnit": true
},
"Quantity": 4.0,
"DiscountedUnitPrice": 5.0,
"PurchasePrice": 6.0,
"ItemDiscount": 7.0,
"TaxPercent": 8.0,
"Active": 64,
"ItemComments": "sample string 10",
"UnitPrice": 11.0,
"DiscountPercentage": 12.0,
"ItemStatus": 64,
"IsCoupon": 64,
"Direction": 15,
"DiscountType": 0,
"DiscountDescription": "sample string 16",
"ItemType": 0,
"GroupId": "48e0fcba-83bd-42d8-9905-2beb4972762c",
"GroupKey": "66d223f7-66e6-4a91-9990-3d15056c2661",
"IngredientMode": "sample string 18",
"IngredientQty": 19.0,
"ItemUnit": 0,
"ShowOnReceipt": true,
"ServeType": 64,
"BongNo": 22,
"AddedOrder": 64,
"IsRUT": true,
"PrinterId": 25,
"ComissionPercent": 26.0,
"PantPrice": 27.0,
"HideQuantityUnit": true,
"BasePrice": 29.0,
"PreparationTime": 0,
"OutletId": "15d1c125-94e1-4f82-babd-2a9a4b2563c1",
"QuickAdd": true,
"IsDefaultIngredient": true,
"ItemStatusText": "Ready",
"ItemStatusColor": "#FFD89778",
"KDSItemStatusColor": "#FFD89778",
"IsReadyToServe": true,
"EnableReadyToServe": false,
"IngredientCartQty": "4x19",
"OrderComments": "sample string 34",
"OrderDate": "2026-11-03T21:04:41.497263+01:00",
"InvoiceDate": "2026-11-03T21:04:41.497263+01:00",
"IsOrderComment": true,
"ServeTypeName": "sample string 37",
"ServeStatusColor": "sample string 38",
"ServeStatusVisibility": true,
"CampignIndex": 40,
"BorderColor": "sample string 41",
"BackColor": "sample string 42",
"ForeColor": "sample string 43",
"ButtonTag": 44,
"StatusColor": "#FFFFFFFF",
"IsValid": false,
"ItemDetails": [
{
"$ref": "2"
},
{
"$ref": "2"
}
],
"IngredientItems": [
{
"$ref": "2"
},
{
"$ref": "2"
}
],
"CampaignId": "b2217994-9acb-44ef-87b6-93465451906c",
"HasGroupItems": false,
"GrossTotal": 660.0,
"GrossDiscountTotal": -153.0,
"IngredientTotal": -102.0,
"ShowButton": false,
"ItemName": "sample string 2",
"UpdateColorName": 64,
"VAT": 0.98222222222222222,
"ItemTotalDiscount": 21.0,
"ItemTotalDiscountDisplay": -21.0,
"DiscountVisibility": true,
"ComissionVisibility": true,
"ItemDiscountDisplay": -7.0,
"DiscountSignVisibility": true,
"IngredientListVisibility": true,
"RecieptQtyVisibility": true,
"StatusVisibility": false,
"QtyVisibility": true,
"GroupQtyVisibility": true,
"IngredientVisibility": true,
"imagePath": "/LuqonRetail;component/images/minusQty.png",
"IsSelected": true,
"SelecttedImagePath": "/LuqonRetail;component/images/selecteditem.png",
"CampaignApplied": true,
"DisableCampaignApplied": true,
"CampaignAppliedVisibility": false,
"RewardApplied": true,
"CartQty": "4",
"RecieptQty": "4.00",
"HasIngredients": true,
"ReceiptItems": [
{
"$id": "19",
"ContentGuid": "34614540-021e-4575-b7ad-94973cfc95c4",
"Extra": true,
"Strip": true,
"Text": "sample string 4",
"Price": 5.0,
"VAT": 6.0,
"Quantity": 7,
"Direction": "+"
},
{
"$ref": "19"
}
],
"ItemIdex": 49,
"BIDSNO": 50,
"Percentage": 51.0,
"OrderType": 0,
"BIDS": "sample string 52",
"Category": "sample string 53",
"Description": "sample string 54",
"MoveQuantity": 55.0,
"SortOrder": 56,
"InWait": true,
"DetailItemsVisiblity": true,
"DisplayTotal": "sample string 59",
"GiftCardNo": "sample string 60",
"AddedAt": "2026-11-03T21:04:41.497263+01:00",
"DisplayQty": "sample string 62",
"HideButton": true,
"ItemNameWidth": 64,
"LineHeight": 25,
"ButtonVisibility": false,
"BarcodeStartWith20": false,
"DeleteButtonVisibility": true,
"CommentVisibility": true,
"MarkReadyVisibility": true,
"CartFontSize": 66,
"IngredeintComment": "sample string 67",
"IngredeintModeVisibility": false,
"IngredeintCommentVisibility": true,
"PantPriceVisibility": true,
"TotalPantPrice": 108.0,
"ItemDescription": "sample string 68",
"OnlyPriceVisibility": true,
"DiscountJournalEntery": {
"$id": "20",
"Id": 1,
"UserId": "sample string 2",
"OrderId": "2ab134a8-2075-4c41-b6c3-8966908bd7b3",
"ItemId": "a36fec3d-5aa9-45e6-bf6e-80fd13d11515",
"TableId": 1,
"ActionId": 3,
"Created": "2026-11-03T21:04:41.497263+01:00",
"LogMessage": "sample string 5",
"Synced": true,
"Action": "sample string 7",
"UserName": "sample string 8"
},
"PriceExlTax": 4.63,
"PurchasePriceExlTax": 5.56
},
{
"$ref": "2"
}
],
"Receipts": [
{
"$id": "21",
"ReceiptId": "3da08635-c6fa-4764-8652-18c1fb383319",
"TerminalId": "301a79c8-5782-454b-b250-4f5a7c8679fd",
"TerminalNo": 64,
"ReceiptNumber": 4,
"OrderId": "64e4654b-0646-4ece-bfdd-f52a9f01999a",
"Order": {
"$ref": "1"
},
"ReceiptCopies": 64,
"GrossAmount": 7.0,
"VatAmount": 8.0,
"VatDetail": "sample string 9",
"PrintDate": "2026-11-03T21:04:41.497263+01:00",
"ControlUnitName": "sample string 11",
"ControlUnitCode": "sample string 12",
"CustomerPaymentReceipt": "sample string 13",
"MerchantPaymentReceipt": "sample string 14",
"IsSignature": true,
"VatDetails": null,
"NegativeAmount": 16.0,
"RoundedAmount": 17.0,
"CLEAN_CASH_ERROR": "sample string 18"
},
{
"$ref": "21"
}
],
"Payments": [
{
"$id": "22",
"Id": "36f8d8c9-5c8a-4fe8-8ef6-4d059ddec706",
"OrderId": "7854f5b6-2824-476d-bb2a-b6f62d4cbf11",
"Order": {
"$ref": "1"
},
"TypeId": 64,
"PaidAmount": 4.0,
"ReturnAmount": 5.0,
"PaymentDate": "2026-11-03T21:04:41.497263+01:00",
"PaymentRef": "sample string 7",
"CreditCardNo": "sample string 8",
"CashCollected": 9.0,
"CashChange": 10.0,
"IsCashSaleDropped": 64,
"Direction": 12,
"ProductName": "sample string 13",
"DeviceTotal": 14.0,
"TypeName": "sample string 15"
},
{
"$ref": "22"
}
],
"RUTDiscount": 40.0,
"CustomerName": "sample string 41",
"CustomerPhone": "sample string 42",
"PrimaryContact": "sample string 43",
"PrimaryPhone": "sample string 44",
"PrimaryEmail": "sample string 45",
"CustomerNo": "sample string 46",
"Email": "sample string 47",
"CustomerAddress": "sample string 48",
"CreatedBy": "sample string 49",
"IsSelected": true,
"EmailSent": true,
"SentDate": "2026-11-03T21:04:41.497263+01:00",
"DueDate": "2026-11-03T21:04:41.497263+01:00",
"BalanceAmount": 52.0,
"SelectedTable": {
"$id": "23",
"Id": 1,
"Name": "sample string 2",
"FloorId": 3,
"Floor": {
"$id": "24",
"Id": 1,
"Name": "sample string 2",
"LayoutImage": "QEA=",
"Updated": "2026-11-03T21:04:41.497263+01:00",
"Tables": [
{
"$ref": "23"
},
{
"$ref": "23"
}
]
},
"PositionX": 4,
"PositionY": 5,
"Height": 6,
"Width": 7,
"Chairs": 8,
"Status": 0,
"ImageUrl": "sample string 9",
"ColorCode": "sample string 10",
"ServeStatus": 11,
"SortOrder": 12,
"LockedByTerminal": "504b0d06-26d9-46de-95f8-a575de627f19",
"Updated": "2026-11-03T21:04:41.497263+01:00",
"OrderCount": 15,
"OrderTotal": 16.0,
"FloorName": "sample string 17",
"PerformaPrinted": true,
"TableComments": "sample string 19",
"OrderTime": "sample string 20",
"Orders": [
{
"$ref": "1"
},
{
"$ref": "1"
}
]
},
"Receipt": {
"$ref": "21"
},
"Customer": {
"$id": "25",
"Id": "a5b9daa0-be27-4c54-8b32-ab23ff5f0b10",
"ParentId": "0912ab33-8e26-4c43-9160-5376f0541f0a",
"Name": "sample string 2",
"OrgNo": "sample string 3",
"Address1": "sample string 4",
"Address2": "sample string 5",
"FloorNo": 6,
"PortCode": "sample string 7",
"CustomerNo": "sample string 8",
"City": "sample string 9",
"Phone": "sample string 10",
"Email": "sample string 11",
"ZipCode": "sample string 12",
"Reference": "sample string 13",
"DirectPrint": true,
"VehicleId": 15,
"CommunicationTypeId": 16,
"Active": true,
"Synced": true,
"EnableRUT": true,
"RUTDisallowedUntil": "2026-11-03T21:04:41.497263+01:00",
"CustomerType": 0,
"PrimaryName": "sample string 20",
"PrimaryPhone": "sample string 21",
"PrimaryEmail": "sample string 22",
"SendReceipt": true,
"InstructionAlert": true,
"Instructions": "sample string 25",
"PaymentMethod": 0,
"DeliveryMethod": 0,
"Created": "2026-11-03T21:04:41.497263+01:00",
"Updated": "2026-11-03T21:04:41.497263+01:00",
"UpdatedBy": "f5447734-ddca-4d67-99ae-b3259ec44649",
"PriceListId": "23905949-5fc9-4201-8320-c9cf52694d4d",
"Customer_CustomField": [
{
"$id": "26",
"Id": "d39ac45d-0324-4c18-9048-196b1b50e7f3",
"FieldId": "05e7c5ab-7eae-4764-9cf0-7617d1322a2a",
"CustomerCustomField": {
"$id": "27",
"Id": "56523e0d-df67-4b75-be0b-b6197d06a561",
"Caption": "sample string 2",
"SortOrder": 3
},
"CustomerId": "c2f2c317-2e85-488f-810f-d5482c5e2d2f",
"Customer": {
"$ref": "25"
},
"Caption": "sample string 4",
"Text": "sample string 5",
"SortOrder": 6,
"Updated": "2026-11-03T21:04:41.497263+01:00"
},
{
"$ref": "26"
}
],
"DiscountGroupId": "7dcfb4b2-a1b3-4dc1-8666-94b1462a824f",
"OrgNumber": "sample string 3",
"CustomerName": "sample string 2",
"Address": "sample string 4, sample string 12, sample string 9",
"PrimaryContacts": [
{
"$ref": "25"
},
{
"$ref": "25"
}
],
"ContactReference": "sample string 30",
"DiscountGroup": {
"$id": "28",
"DiscountId": "a7674bbe-d397-42bb-9a94-d0ff3d1180cd",
"Title": "sample string 2",
"Discount": 3.0,
"Created": "2026-11-03T21:04:41.497263+01:00",
"Updated": "2026-11-03T21:04:41.497263+01:00",
"Description": "sample string 6"
},
"Parent": {
"$ref": "25"
},
"ShowEdit": true,
"GiftCard": {
"$id": "29",
"CardId": "6991c79f-6181-432d-8408-5b5356d531d1",
"CardNumber": "sample string 2",
"AddedAmount": 3.0,
"Balance": 4.0,
"CustomerId": "dbd08761-f9db-4a90-ba75-219bffa119b3",
"Title": "sample string 6",
"ValidFrom": "2026-11-03T21:04:41.497263+01:00",
"ValidTo": "2026-11-03T21:04:41.497263+01:00",
"Active": true,
"Updated": "2026-11-03T21:04:41.497263+01:00",
"CardType": 0,
"UniqueCode": "sample string 11",
"Synced": true,
"Status": "Aktiva",
"UsedAmount": -1.0,
"CustomerDiscount": 13.0,
"CustomerName": "sample string 14",
"SeasonTicket": {
"$id": "30",
"Id": "56f3acc3-c66b-4207-9c8d-716db6e6c3c6",
"CustomerId": "89f47791-419c-475b-a207-7197f97d2273",
"ExpiryDate": "2026-11-03T21:04:41.497263+01:00",
"Active": true,
"Synced": true,
"CustomerName": "sample string 6"
},
"OrderId": "c96bbea3-4184-49f9-af8f-56b0b4a67ac6",
"NewAmount": 16.0,
"VehicleId": 17,
"OutletName": "sample string 18"
}
},
"ShortComments": "sample string 53",
"CartNumber": 54,
"SelecttedImagePath": "/images/selecteditem.png",
"ServeStatusColor": "sample string 55",
"SumAmtString": "19",
"OrderDirection": 1,
"BongNumber": "sample string 56",
"BongComments": "sample string 57",
"OutletCode": "sample string 58",
"DefaultOrderType": "sample string 59",
"KDSOrderType": 60,
"OrderStatusFromType": 3,
"PaidStatus": "Delbetald",
"OrderNumber": "2ddf9029-53fc-4c79-a7bc-c146b6c86b5b",
"ReceiptNumber": "9",
"OrderType": 0,
"GrossAmount": -40.0,
"ComissionAmount": 0.0,
"NetAmount": 0.0,
"VatAmount": 0.0,
"PartialPaidAmount": 61.0,
"SelectEnable": false,
"CheckOutVisibility": true,
"RetryVisibility": false,
"ButtonVisibility": false,
"ReturnButtonVisibility": false,
"SendTicketToCustomer": true,
"IsReadyToPickup": true,
"IsWaitingToPickup": true,
"ShowReminder": true,
"ShowSMSWarning": true,
"ButtonRestoreVisibility": false,
"ButtonChangeCustomerVisibility": false,
"InvNumber": "sample string 67",
"GiftCard": {
"$ref": "29"
},
"GiftCards": [
{
"$ref": "29"
},
{
"$ref": "29"
}
],
"PaymentType": "sample string 68",
"PaymentTypeId": 69,
"InProgress": true,
"ShowButtonOnOpenView": false,
"ShowButtonOnOpenViewInRestaurant": true,
"AskRUTCalled": true,
"OrderTickets": [
{
"$id": "31",
"Id": "75c853a2-506d-412b-b9c2-6b86e0f963ba",
"OrderId": "7393dc03-28a3-4306-bbb4-5a509bfe7418",
"TicketNo": 3,
"BongNo": 4,
"TableId": 5,
"Comments": "sample string 6",
"CreatedBy": "sample string 7",
"CreatedAt": "2026-11-03T21:04:41.512887+01:00",
"OrderTicketItems": [
{
"$id": "32",
"Id": "5f6a939a-f97b-4505-aa2c-83c384e3c075",
"TicketId": "66f6632e-922f-406b-b3ec-3d7ecb70c258",
"OrderTicket": {
"$ref": "31"
},
"ItemId": "13a75bf1-1b95-474f-9afb-9c39737a912a",
"Quantity": 4.0,
"Comments": "sample string 5",
"PrinterId": 6
},
{
"$ref": "32"
}
]
},
{
"$ref": "31"
}
],
"KDSStatus": 0,
"KitchenStatus": 0,
"RecreateTableButton": true,
"TabNo": 74,
"ExportStatus": 75,
"ExportError": "sample string 76",
"TipAmount": 77.0,
"ShowTabNo": true,
"TabNoHeight": 25,
"CurrentStatusText": "sample string 79",
"FoodlyNumber": "sample string 80",
"CommerceOrderFulfillment": {
"$id": "33",
"Id": "fe7354fd-790d-4ec0-a7ef-174f480f0628",
"OrderId": "7b362fb1-2e79-4ce0-b697-8494298c4a8f",
"FulfillmentTypeCode": "sample string 3",
"PromisedAt": "2026-11-03T21:04:41.512887+01:00",
"PromisedDurationMinutes": 4,
"EstimatedReadyAt": "2026-11-03T21:04:41.512887+01:00"
},
"FoodlyOrder": {
"$id": "34",
"Id": "1a3fdbfe-02b0-4bc6-b53a-b25ab3208b83",
"FoodlyId": 2,
"NIMPOSId": "6589e990-5576-4f56-be06-c417a5357cce",
"Json": "sample string 4",
"DeliveryRequestedOn": "2026-11-03T21:04:41.512887+01:00",
"PromisedDurationMinutes": 6,
"SendTokitchen": true
},
"LogEnteries": [
{
"$ref": "20"
},
{
"$ref": "20"
}
],
"DisableCheckoutTraceLog": true
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.